#
#  Makefile for the Gatherer components
#
#  Makefile,v 1.7 1995/11/28 20:57:16 duane Exp
#
#
prefix = /usr/local/harvest

all install:
	@for dir in `/bin/cat BUILD`; do \
		if test -d "$$dir"; then \
			echo Making $@ in $$dir; \
			(cd $$dir;  \
				if test -x "./configure"; then \
					if test ! -x "./config.status"; then \
						echo "Configuring $$dir..."; \
						./configure --prefix="$(prefix)" --srcdir="`pwd`"; \
					fi; \
					echo "$$dir is configured."; \
				fi; \
				$(MAKE) $(MFLAGS) prefix="$(prefix)" $@; \
			); \
		fi; \
	done

clean realclean:
	@for dir in `/bin/cat BUILD`; do \
		if test -d "$$dir"; then \
			echo Making $@ in $$dir; \
			(cd $$dir;  \
				$(MAKE) $(MFLAGS) prefix="$(prefix)" $@; \
			); \
		fi; \
	done
